QGIS Application - Bug report #12838
QGIS master: vector edits are "discarded” on save + crash on edits
2015-05-28 01:30 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Marco Hugentobler

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 20933
Description

See the attached screencast.

If you play around enough is pretty easy also to get a crash.

History

#1 - 2015-05-28 03:06 AM - Jiirgen Fischer

Any output in the log window? .0O(why was the tooltip that notifies you that there is new output in the hidden log window removed again?)

#2 - 2015-05-28 03:19 AM - Giovanni Manghi

- Resolution set to invalid
- Status changed from Open to Closed

forget about it, it happens with just one specific vector that maybe has problems of its own. | tested other random layers from different datasources and is
ok.

#3 - 2015-05-28 04:17 AM - Giovanni Manghi
- Resolution deleted (invalid)

- Status changed from Closed to Reopened

I have to reopen it, just replicated on a newly created shapefile. No messages in the qgis log.

#4 - 2015-05-29 08:06 AM - Matthias Kuhn

Any chance to get a stack trace?

#5 - 2015-05-29 08:19 AM - Marco Hugentobler

- Assignee set to Marco Hugentobler

#6 - 2015-05-30 11:38 PM - Giovanni Manghi

- Status changed from Reopened to Closed
- Resolution set to fixed/implemented
| updated to the latest master and can't see this anymore.

Files

edit_regression.mp4 2.05 MB 2015-05-27 Giovanni Manghi

2025-04-27 22



